diffstat for dehydrated-0.3.1 dehydrated-0.3.1

 changelog                                                         |    8 ++
 patches/Update-the-default-License-Subscriber-Agreement-URL.patch |    6 +-
 patches/follow-location-on-http-get-requests.patch                |   27 ++++++++++
 patches/series                                                    |    1 
 4 files changed, 39 insertions(+), 3 deletions(-)

diff -Nru dehydrated-0.3.1/debian/changelog dehydrated-0.3.1/debian/changelog
--- dehydrated-0.3.1/debian/changelog	2017-11-18 14:00:07.000000000 +0100
+++ dehydrated-0.3.1/debian/changelog	2018-03-12 11:48:10.000000000 +0100
@@ -1,3 +1,11 @@
+dehydrated (0.3.1-3+deb9u2) stretch; urgency=medium
+
+  * Add patch from upstream to follow redirects on HTTP GET.
+    This fixes an error when creating the fullchain.pem after the LE API
+    introduced a new redirect.  Closes: #892723
+
+ -- Mattia Rizzolo <mattia@debian.org>  Mon, 12 Mar 2018 11:48:10 +0100
+
 dehydrated (0.3.1-3+deb9u1) stretch; urgency=medium
 
   * Update the default License Subscriber Agreement URL.  Closes: #881974
diff -Nru dehydrated-0.3.1/debian/patches/follow-location-on-http-get-requests.patch dehydrated-0.3.1/debian/patches/follow-location-on-http-get-requests.patch
--- dehydrated-0.3.1/debian/patches/follow-location-on-http-get-requests.patch	1970-01-01 01:00:00.000000000 +0100
+++ dehydrated-0.3.1/debian/patches/follow-location-on-http-get-requests.patch	2018-03-12 11:45:54.000000000 +0100
@@ -0,0 +1,27 @@
+From: Lukas Schauer <lukas@schauer.so>
+Date: Sat, 3 Feb 2018 22:03:58 +0100
+Subject: follow location on http get-requests
+
+For more info:
+https://community.letsencrypt.org/t/dehydrated-caused-rate-limits-to-be-reached/52477
+
+Ogigin: upstream, https://github.com/lukas2511/dehydrated/commit/7a0e71c6c2ccc6e98abca5ea1c7de28053e90c02
+Bug-Debian: https://bugs.debian.org/892723
+Signed-off-by: Mattia Rizzolo <mattia@debian.org>
+---
+ dehydrated | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/dehydrated b/dehydrated
+index 882c6bd..a0dbf04 100755
+--- a/dehydrated
++++ b/dehydrated
+@@ -337,7 +337,7 @@ http_request() {
+     statuscode="$(curl ${ip_version:-} -s -w "%{http_code}" -o "${tempcont}" "${2}" -I)"
+     curlret="${?}"
+   elif [[ "${1}" = "get" ]]; then
+-    statuscode="$(curl ${ip_version:-} -s -w "%{http_code}" -o "${tempcont}" "${2}")"
++    statuscode="$(curl ${ip_version:-} -L -s -w "%{http_code}" -o "${tempcont}" "${2}")"
+     curlret="${?}"
+   elif [[ "${1}" = "post" ]]; then
+     statuscode="$(curl ${ip_version:-} -s -w "%{http_code}" -o "${tempcont}" "${2}" -d "${3}")"
diff -Nru dehydrated-0.3.1/debian/patches/series dehydrated-0.3.1/debian/patches/series
--- dehydrated-0.3.1/debian/patches/series	2017-11-18 14:00:07.000000000 +0100
+++ dehydrated-0.3.1/debian/patches/series	2018-03-12 11:45:54.000000000 +0100
@@ -5,3 +5,4 @@
 honor-config-if-the-user-provided-one-to-letsencrypt.sh-w.patch
 Support-both-config.sh-and-config-as-config-filenames-for.patch
 Update-the-default-License-Subscriber-Agreement-URL.patch
+follow-location-on-http-get-requests.patch
diff -Nru dehydrated-0.3.1/debian/patches/Update-the-default-License-Subscriber-Agreement-URL.patch dehydrated-0.3.1/debian/patches/Update-the-default-License-Subscriber-Agreement-URL.patch
--- dehydrated-0.3.1/debian/patches/Update-the-default-License-Subscriber-Agreement-URL.patch	2017-11-18 14:00:07.000000000 +0100
+++ dehydrated-0.3.1/debian/patches/Update-the-default-License-Subscriber-Agreement-URL.patch	2018-03-12 11:45:54.000000000 +0100
@@ -5,9 +5,9 @@
 Closes: #881974
 Signed-off-by: Mattia Rizzolo <mattia@debian.org>
 ---
- dehydrated            | 2 +-
- docs/examples/config  | 4 ++--
- 3 files changed, 4 insertions(+), 3 deletions(-)
+ dehydrated           | 2 +-
+ docs/examples/config | 4 ++--
+ 2 files changed, 3 insertions(+), 3 deletions(-)
 
 diff --git a/dehydrated b/dehydrated
 index 7b88ae9..882c6bd 100755
